org.jboss.jca.as.converters

## Interface DataSource

- All Superinterfaces:
    ConnectionFactory
  All Known Subinterfaces:
    LocalTxDataSource, NoTxDataSource, XaDataSource
  All Known Implementing Classes:
    LegacyTxDataSourceImpl, LegacyXaDataSourceImp

      public interface DataSource
      extends ConnectionFactory

  Common DataSource
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DataSource.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCheckValidConnectionSql()` Get the checkValidConnectionSql.
    `org.jboss.jca.common.api.metadata.common.Extension` | `getExceptionSorter()` Get the exceptionSorter
    `java.lang.String` | `getNewConnectionSql()` Get the newConnectionSql.
    `java.lang.String` | `getPassword()` Get the password.
    `java.lang.Long` | `getPreparedStatementsCacheSize()` Get the preparedStatementsCacheSize.
    `java.lang.Long` | `getQueryTimeout()` Get the queryTimeout.
    `org.jboss.jca.common.api.metadata.common.Extension` | `getStaleConnectionChecker()` Get the staleConnectionChecker
    `org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum` | `getTrackStatements()` Get the trackStatements.
    `java.lang.String` | `getUrlDelimiter()` Get the urlDelimiter.
    `java.lang.String` | `getUrlSelectorStrategyClassName()` Get the urlSelectorStrategyClassName.
    `java.lang.String` | `getUserName()` Get the userName.
    `java.lang.Long` | `getUseTryLock()` Get the useTryLock.
    `org.jboss.jca.common.api.metadata.common.Extension` | `getValidConnectionChecker()` Get the validConnectionChecker
    `java.lang.Boolean` | `isSetTxQueryTimeout()` Get the setTxQuertTimeout.
    `java.lang.Boolean` | `isSharePreparedStatements()` Get the sharePreparedStatements.
    `java.lang.Boolean` | `isUseJavaContext()` Get the useJavaContext.
    `java.lang.Boolean` | `isValidateOnMatch()` Get the validateOnMatch.

    - ### Methods inherited from interface org.jboss.jca.as.converters.ConnectionFactory

      `getAllocationRetry, getAllocationRetryWaitMillis, getBackgroundValidationMillis, getBlockingTimeoutMillis, getIdleTimeoutMinutes, getJndiName, getMaxPoolSize, getMinPoolSize, getSecurityDomain, isBackgroundValidation, isPrefill, isUseFastFail`

- - ### Method Detail

    - #### isUseJavaContext

          java.lang.Boolean isUseJavaContext()

      Get the useJavaContext.
      Returns:
        the useJavaContext.

    - #### getUrlDelimiter

          java.lang.String getUrlDelimiter()

      Get the urlDelimiter.
      Returns:
        the urlDelimiter.

    - #### getUrlSelectorStrategyClassName

          java.lang.String getUrlSelectorStrategyClassName()

      Get the urlSelectorStrategyClassName.
      Returns:
        the urlSelectorStrategyClassName.

    - #### getUserName

          java.lang.String getUserName()

      Get the userName.
      Returns:
        the userName.

    - #### getPassword

          java.lang.String getPassword()

      Get the password.
      Returns:
        the password.

    - #### isValidateOnMatch

          java.lang.Boolean isValidateOnMatch()

      Get the validateOnMatch.
      Returns:
        the validateOnMatch.

    - #### getNewConnectionSql

          java.lang.String getNewConnectionSql()

      Get the newConnectionSql.
      Returns:
        the newConnectionSql.

    - #### getCheckValidConnectionSql

          java.lang.String getCheckValidConnectionSql()

      Get the checkValidConnectionSql.
      Returns:
        the checkValidConnectionSql.

    - #### getValidConnectionChecker

          org.jboss.jca.common.api.metadata.common.Extension getValidConnectionChecker()

      Get the validConnectionChecker
      Returns:
        the validConnectionChecker

    - #### getExceptionSorter

          org.jboss.jca.common.api.metadata.common.Extension getExceptionSorter()

      Get the exceptionSorter
      Returns:
        the exceptionSorter

    - #### getStaleConnectionChecker

          org.jboss.jca.common.api.metadata.common.Extension getStaleConnectionChecker()

      Get the staleConnectionChecker
      Returns:
        the staleConnectionChecker

    - #### getTrackStatements

          org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum getTrackStatements()

      Get the trackStatements.
      Returns:
        the trackStatements.

    - #### getPreparedStatementsCacheSize

          java.lang.Long getPreparedStatementsCacheSize()

      Get the preparedStatementsCacheSize.
      Returns:
        the preparedStatementsCacheSize.

    - #### isSharePreparedStatements

          java.lang.Boolean isSharePreparedStatements()

      Get the sharePreparedStatements.
      Returns:
        the sharePreparedStatements.

    - #### isSetTxQueryTimeout

          java.lang.Boolean isSetTxQueryTimeout()

      Get the setTxQuertTimeout.
      Returns:
        the setTxQuertTimeout.

    - #### getQueryTimeout

          java.lang.Long getQueryTimeout()

      Get the queryTimeout.
      Returns:
        the queryTimeout.

    - #### getUseTryLock

          java.lang.Long getUseTryLock()

      Get the useTryLock.
      Returns:
        the useTryLock.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)